<?php

declare (strict_types=1);
namespace GDAVSCOPE\Amp\Http\Client\Connection;

use GDAVSCOPE\Amp\Cancellation;
use GDAVSCOPE\Amp\Http\Client\Request;
interface ConnectionPool
{
    /**
     * Reserve a stream for a particular request.
     */
    public function getStream(Request $request, Cancellation $cancellation): Stream;
}
